%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		suil
Version:	0.10.8
Release:	%mkrel 1
Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:		http://drobilla.net/software/%{name}/
License:	ISC License (ISC)
Group:		System/Libraries
Patch10:	suil-0.10.0-linking.patch
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	waf
BuildRequires:	python
BuildRequires:	serd-devel
BuildRequires:	pkgconfig(lv2) >= 1.12.0
BuildRequires:	gtk2-devel
BuildRequires:  gtk3-devel >= 3.14.0
BuildRequires:	qt4-devel
BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(sratom-0)

%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

#-----------------------------------
%package -n %{lib_name}

Summary:	Lightweight RDF syntax library
Group:		System/Libraries

%description -n %{lib_name}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

%files -n %{lib_name}
%{_docdir}/%{name}/
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against suil.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc
%{_mandir}/man3/%{name}.3.*

#-----------------------------------
%package -n %{_lib}%{name}-qt4-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt4 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt4-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-qt4-in-gtk2
Shared object for GTK2 hosts displaying Qt4 LV2 GUIs

%files -n %{_lib}%{name}-qt4-in-gtk2
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt4_in_gtk2.so

#-----------------------------------
%package -n %{_lib}%{name}-qt5-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt5 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt5-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-qt5-in-gtk2
Shared object for GTK2 hosts displaying Qt5 LV2 GUIs

%files -n %{_lib}%{name}-qt5-in-gtk2
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt5_in_gtk2.so

#-----------------------------------
%package -n %{_lib}%{name}-qt5-in-gtk3
Summary:	Shared object for GTK3 hosts displaying Qt5 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt5-in-gtk3 = %{version}-%{release}

%description -n %{_lib}%{name}-qt5-in-gtk3
Shared object for GTK3 hosts displaying Qt5 LV2 GUIs

%files -n %{_lib}%{name}-qt5-in-gtk3
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt5_in_gtk3.so

#-----------------------------------
%package -n %{_lib}%{name}-gtk2-in-qt4
Summary:	Shared object for Qt4 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	gtk2
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-gtk2-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-gtk2-in-qt4
Shared object for Qt4 hosts displaying GTK2 LV2 GUIs

%files -n %{_lib}%{name}-gtk2-in-qt4
%{_libdir}/%{name}-%{lib_major}/lib%{name}_gtk2_in_qt4.so

#-----------------------------------
%package -n %{_lib}%{name}-gtk2-in-qt5
Summary:	Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	gtk2
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-gtk2-in-qt5 = %{version}-%{release}

%description -n %{_lib}%{name}-gtk2-in-qt5
Shared object for Qt5 hosts displaying GTK2 LV2 GUIs

%files -n %{_lib}%{name}-gtk2-in-qt5
%{_libdir}/%{name}-%{lib_major}/lib%{name}_gtk2_in_qt5.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-gtk2
Summary:	Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-gtk2
%{_libdir}/%{name}-0/libsuil_x11_in_gtk2.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-gtk3
Summary:	Shared object for GTK3 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk3 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk3
Shared object for GTK3 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-gtk3
%{_libdir}/%{name}-0/libsuil_x11_in_gtk3.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-qt4
Summary:	Shared object for Qt4 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-qt4
Shared object for Qt4 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-qt4
%{_libdir}/%{name}-0/libsuil_x11_in_qt4.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-qt5
Summary:	Shared object for Qt5 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-qt5 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-qt5
Shared object for Qt5 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-qt5
%{_libdir}/%{name}-0/libsuil_x11_in_qt5.so

#-----------------------------------
%package -n %{_lib}%{name}-x11
Summary:	Shared object for displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11 = %{version}-%{release}

%description -n %{_lib}%{name}-x11
Shared object for displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11
%{_libdir}/%{name}-0/libsuil_x11.so

#-----------------------------------
%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%{optflags}"
export LINKFLAGS="%{ldflags}"
%{__python2} waf configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --docdir=%{_docdir}/%{name} \
    --no-cocoa \
    --docs
%{__python2} waf build -v %{?_smp_mflags}

%install
%{__python2} waf install --destdir=%{buildroot}



%changelog
* Mon Sep 28 2020 tex - 0.10.8-1pclos2020
- new version

* Mon May 11 2020 tex - 0.10.6-1pclos2020
- Update to 0.10.6
